petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISPairToList

convert an IS pair encoding an integer map to a list of ISs. Each IS on the output list contains the preimage for each index on the second input IS. The ISs on the output list are constructed on the subcommunicators of the input IS pair. Each subcommunicator corresponds to the preimage of some index j -- this subcomm contains exactly the ranks that assign some indices i to j. This is essentially the inverse of ISListToPair().

### Synopsis

    #include "petscis.h"
    #undef  __FUNCT__
    #define __FUNCT__ "ISPairToList"
    PetscErrorCode ISPairToList(IS xis, IS yis, PetscInt *listlen, IS **islist)

Collective on indis. Many br

### Input arguments

| xis | - domain IS Many br
| yis | - range IS Many br

### Output arguments

| listlen | - length of islist Many br
| islist | - list of ISs breaking up indis by color Many br

### Note

| xis and yis must be of the same length and have congruent communicators. | - - The resulting ISs have subcommunicators in a "deadlock-free" order (see ISListToPair()). Many br

Many br

### See Also

ISListToPair()

Level:advanced
Location:src/vec/is/is/utils/isdiff.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages